CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

容差抑制零英寸属性 (ActiveX)

2023-1-3 03:02| 发布者: admin| 查看: 200| 评论: 0|来自: AutoCAD

摘要: 指定以公差值为单位禁止显示零英寸测量值。

指定以公差值为单位禁止显示零英寸测量值。

支持的平台:仅窗口

签名

工 务 局:

object.ToleranceSuppressZeroInches
对象

类型:对齐,暗弧长度,暗径,暗坐标径,暗大,暗心旋转

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:禁止显示零英寸测量值。
  • False:不要禁止显示零英寸测量值。

言论

此属性的初始值为。False

注意:此属性将覆盖给定维度的 DIMTZIN 系统变量的值。

例子

工 务 局:

Sub Example_ToleranceSuppressZeroInches()
    ' This example creates an aligned dimension in model space and
    ' uses ToleranceSuppressZeroInches to toggle the display of zeros inches
    ' in the dimension tolerance display

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 6.01: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 8: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    dimObj.UnitsFormat = acDimLArchitectural
    
    ' Enable and setup tolerance display
    dimObj.ToleranceDisplay = acTolLimits
    dimObj.ToleranceLowerLimit = -95#: dimObj.ToleranceUpperLimit = 95#
    
    ZoomAll
    
Toggle:
    Select Case MsgBox("Press OK to toggle the display of zero inches in the dimension tolerance", vbOKCancel)
        Case vbOK
            ' Toggle the display of zero inches for the dimension tolerance value
            dimObj.ToleranceSuppressZeroInches = Not (dimObj.ToleranceSuppressZeroInches)
            ThisDrawing.Regen acAllViewports
        
        Case vbCancel
            Exit Sub
    End Select
    
    GoTo Toggle
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ToleranceSuppressZeroInches()
    ;; This example creates an aligned dimension in model space and
    ;; uses ToleranceSuppressZeroInches to toggle the display of zeros inches
    ;; in the dimension tolerance display
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 6.01 5 0)
          location (vlax-3d-point 5 8 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-put-UnitsFormat dimObj acDimLArchitectural)
    
    ;; Enable and setup tolerance display
    (vla-put-ToleranceDisplay dimObj acTolLimits)
    (vla-put-ToleranceLowerLimit dimObj -95)
    (vla-put-ToleranceUpperLimit dimObj 95)
  
    (vla-ZoomAll acadObj)

    ;; Toggle the display of zero inches for the dimension tolerance value
    (vla-put-ToleranceSuppressZeroInches dimObj (if (= (vla-get-ToleranceSuppressZeroInches dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "Suppression of zero inches toggled.")

    ;; Toggle the display of zero inches for the dimension tolerance value back to previous state
    (vla-put-ToleranceSuppressZeroInches dimObj (if (= (vla-get-ToleranceSuppressZeroInches dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "Suppression of zero inches toggled back.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 15:25

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部